Summary: mcrypt
Name: mcrypt
Version: 2.1.19
Release: 1
Copyright: GPL
Source: ftp://argeas.cs-net.gr/pub/unix/mcrypt/mcrypt-%{PACKAGE_VERSION}.tar.gz
Patch: mcrypt-%{PACKAGE_VERSION}.patch
Vendor: Nikos Mavroyanopoulos <nmav@i-net.paiko.gr>
Group: Applications/File
Buildroot: /var/tmp/mcrypt-root

%description
A replacement for the old unix crypt(1) command. Mcrypt uses the following 
encryption (block) algorithms: BLOWFISH, DES, TripleDES, 3-WAY, SAFER-SK64, 
SAFER-SK128, CAST-128 TEA (extended), TWOFISH and GOST.  The unix crypt 
algorithm is also included, to allow compability with the crypt(1) command.  
CBC, ECB and CFB modes of encryption are supported.  A library which allows 
access to the above algorithms and modes is included.

%changelog

* Mon May 17 1999 Peter Soos <sp@osb.hu>
- Updated to version 2.1.19
- Rebuilt under RedHat Linux 6.0
- Corrected file list and permissions

%prep
%setup
%patch -b .orig
echo $RPM_DOC_DIR

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=/usr
make

%install
rm -rf ${RPM_BUILD_ROOT}
make "prefix=${RPM_BUILD_ROOT}/usr" "exec_prefix=${RPM_BUILD_ROOT}/usr" install
ln -sf mcrypt ${RPM_BUILD_ROOT}/usr/bin/crypt
ln -sf mcrypt.1 ${RPM_BUILD_ROOT}/usr/man/man1/crypt.1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(0644, root, root, 0755)
%doc doc/FORMAT doc/LSM doc/README* doc/THANKS doc/magic
%attr(0755, root, root) /usr/bin/*crypt
/usr/man/man1/*crypt.1
/usr/share/locale/el/LC_MESSAGES/mcrypt.mo
/usr/info/mcrypt.info
